For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of payment methods
      • POSTCreate a payment method
      • PUTUpdate or create a payment method (upsert)
      • GETGet a payment method
      • PATCHUpdate a payment method
      • POSTRefresh the payment methods of a customer
      • POSTTokenize a payment method
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPayment Methods

Refresh the payment methods of a customer

POST
/v:version/payment-methods/refresh
POST
/v:version/payment-methods/refresh
$curl -X POST https://test.api.solvimon.com/v1/payment-methods/refresh \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customer_id": "cust_xwDeeN0uaFceXPAzV31e",
> "payment_acceptor_id": "paya_VwDeeD0u8kumteAM9Q1M"
>}'
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "created_at": "string",
7 "reference": "string",
8 "status": "SETUP",
9 "type": "CARD",
10 "card": {
11 "brand": "ACCEL",
12 "name": "string",
13 "expiry_date": {
14 "expiry_month": 1,
15 "expiry_year": 1
16 },
17 "last_four_digits": "string",
18 "country": "string"
19 },
20 "online_banking": {
21 "variant": "string",
22 "owner_name": "string",
23 "iban": "string",
24 "bic": "string",
25 "country": "AD"
26 },
27 "buy_now_pay_later": {
28 "variant": "string"
29 },
30 "direct_debit": {
31 "variant": "string",
32 "owner_name": "string",
33 "iban": "string",
34 "bic": "string",
35 "country": "AD"
36 },
37 "digital_wallet": {
38 "variant": "string"
39 },
40 "customer_id": "string",
41 "integration_id": "string",
42 "integration_reference": "string",
43 "integration_details": {
44 "id": "string",
45 "reference": "string",
46 "payment_gateway_variant": "ADYEN",
47 "adyen": {
48 "recurring_detail_reference": "string"
49 },
50 "stripe": {
51 "payment_method_id": "string"
52 }
53 },
54 "billing_address": {
55 "line1": "string",
56 "line2": "string",
57 "city": "string",
58 "postal_code": "string",
59 "state": "string",
60 "country": "AD"
61 },
62 "is_default": true
63 }
64 ],
65 "links": {
66 "first": "string",
67 "previous": "string",
68 "current": "string",
69 "next": "string"
70 },
71 "page": 1,
72 "limit": 1,
73 "total_number_of_pages": 1
74}

Requires the PAYMENT_METHOD.UPDATE permission.

Was this page helpful?
Previous

Tokenize a payment method

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstring or nullOptional
Resource ID of type CUSTOMER
customer_referencestring or nullOptional
payment_acceptor_idstring or nullOptional

Resource ID of type PAYMENT_ACCEPTOR

payment_acceptor_referencestring or nullOptional

Response

OK
datalist of objects
linksobject
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error